Update a schema
curl --request PUT \
--url https://dev.startree.ai/schemas/{schemaName} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: */*' \
--data '
{
"contentDisposition": {
"type": "<string>",
"parameters": {},
"fileName": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"modificationDate": "2023-11-07T05:31:56Z",
"readDate": "2023-11-07T05:31:56Z",
"size": 123
},
"entity": {},
"headers": {},
"mediaType": {
"type": "<string>",
"subtype": "<string>",
"parameters": {},
"wildcardType": true,
"wildcardSubtype": true
},
"messageBodyWorkers": {},
"parent": {
"contentDisposition": {
"type": "<string>",
"parameters": {},
"fileName": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"modificationDate": "2023-11-07T05:31:56Z",
"readDate": "2023-11-07T05:31:56Z",
"size": 123
},
"entity": {},
"headers": {},
"mediaType": {
"type": "<string>",
"subtype": "<string>",
"parameters": {},
"wildcardType": true,
"wildcardSubtype": true
},
"messageBodyWorkers": {},
"parent": "<unknown>",
"providers": {},
"bodyParts": [
{
"contentDisposition": {
"type": "<string>",
"parameters": {},
"fileName": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"modificationDate": "2023-11-07T05:31:56Z",
"readDate": "2023-11-07T05:31:56Z",
"size": 123
},
"entity": {},
"headers": {},
"mediaType": {
"type": "<string>",
"subtype": "<string>",
"parameters": {},
"wildcardType": true,
"wildcardSubtype": true
},
"messageBodyWorkers": {},
"parent": "<unknown>",
"providers": {},
"parameterizedHeaders": {}
}
],
"parameterizedHeaders": {}
},
"providers": {},
"bodyParts": [
{
"contentDisposition": {
"type": "<string>",
"parameters": {},
"fileName": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"modificationDate": "2023-11-07T05:31:56Z",
"readDate": "2023-11-07T05:31:56Z",
"size": 123
},
"entity": {},
"headers": {},
"mediaType": {
"type": "<string>",
"subtype": "<string>",
"parameters": {},
"wildcardType": true,
"wildcardSubtype": true
},
"messageBodyWorkers": {},
"parent": "<unknown>",
"providers": {},
"parameterizedHeaders": {}
}
],
"fields": {},
"parameterizedHeaders": {}
}
'This response has no body data.Schema
Update a schema
Updates a schema
PUT
/
schemas
/
{schemaName}
Update a schema
curl --request PUT \
--url https://dev.startree.ai/schemas/{schemaName} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: */*' \
--data '
{
"contentDisposition": {
"type": "<string>",
"parameters": {},
"fileName": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"modificationDate": "2023-11-07T05:31:56Z",
"readDate": "2023-11-07T05:31:56Z",
"size": 123
},
"entity": {},
"headers": {},
"mediaType": {
"type": "<string>",
"subtype": "<string>",
"parameters": {},
"wildcardType": true,
"wildcardSubtype": true
},
"messageBodyWorkers": {},
"parent": {
"contentDisposition": {
"type": "<string>",
"parameters": {},
"fileName": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"modificationDate": "2023-11-07T05:31:56Z",
"readDate": "2023-11-07T05:31:56Z",
"size": 123
},
"entity": {},
"headers": {},
"mediaType": {
"type": "<string>",
"subtype": "<string>",
"parameters": {},
"wildcardType": true,
"wildcardSubtype": true
},
"messageBodyWorkers": {},
"parent": "<unknown>",
"providers": {},
"bodyParts": [
{
"contentDisposition": {
"type": "<string>",
"parameters": {},
"fileName": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"modificationDate": "2023-11-07T05:31:56Z",
"readDate": "2023-11-07T05:31:56Z",
"size": 123
},
"entity": {},
"headers": {},
"mediaType": {
"type": "<string>",
"subtype": "<string>",
"parameters": {},
"wildcardType": true,
"wildcardSubtype": true
},
"messageBodyWorkers": {},
"parent": "<unknown>",
"providers": {},
"parameterizedHeaders": {}
}
],
"parameterizedHeaders": {}
},
"providers": {},
"bodyParts": [
{
"contentDisposition": {
"type": "<string>",
"parameters": {},
"fileName": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"modificationDate": "2023-11-07T05:31:56Z",
"readDate": "2023-11-07T05:31:56Z",
"size": 123
},
"entity": {},
"headers": {},
"mediaType": {
"type": "<string>",
"subtype": "<string>",
"parameters": {},
"wildcardType": true,
"wildcardSubtype": true
},
"messageBodyWorkers": {},
"parent": "<unknown>",
"providers": {},
"parameterizedHeaders": {}
}
],
"fields": {},
"parameterizedHeaders": {}
}
'This response has no body data.Authorizations
oauthdatabase
The format of the key is "Basic <token>" or "Bearer <token>"
Path Parameters
Name of the schema
Query Parameters
Whether to reload the table if the new schema is backward compatible
Body
*/*
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Was this page helpful?
⌘I

